Skip to main content
`Ctrl`+`K`

# VecRestoreArrayWrite

Restores a vector after `VecGetArrayWrite()` has been called.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecRestoreArrayWrite(Vec x, PetscScalar *a[])

Logically Collective

## Input Parameters

- x - the vector

- a - location of pointer to array obtained from `VecGetArray()`

## See Also

Vectors and Parallel Data, `Vec`, `VecGetArray()`, `VecRestoreArrayRead()`, `VecRestoreArrays()`, `VecPlaceArray()`, `VecRestoreArray2d()`, `VecGetArrayPair()`, `VecRestoreArrayPair()`, `VecGetArrayWrite()`

## Level

beginner

## Location

src/vec/vec/interface/rvector.c

## Examples

src/ts/tutorials/ex36.c
src/ksp/ksp/tutorials/ex27.c
src/dm/impls/plex/tutorials/ex14f90.F90
src/dm/impls/plex/tutorials/ex11.c
src/dm/impls/plex/tutorials/ex14.c
src/tao/unconstrained/tutorials/rosenbrock3.c
src/ts/tutorials/ex3.c
src/dm/impls/plex/tutorials/ex18.c
src/snes/tutorials/ex17.c
src/ts/tutorials/ex23fwdadj.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages